<?php

	if(isset($_POST['dane'])){

		$blad_kontrolka = FALSE;

		// Nazwa gracza **************************************************************************
		if($_POST['dane']['nazwa']!=NULL){
			if(strlen($_POST['dane']['haslo'])<3 or strlen($_POST['dane']['haslo'])>10){
				$blad['nazwa'] = "Nazwa powinna składać się z co najmniej 3 znaków i maksymalnie 10";
				$blad_kontrolka = TRUE;
			}
		}else{
			$blad['nazwa'] = "Nazwa jest polem wymaganym";
			$blad_kontrolka = TRUE;
		}

		// Adres email ********************************************************************
		if($_POST['dane']['email']!=NULL){
	    	if(!ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'.
	                '@'.
	                '[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.
	                '[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $_POST['dane']['email'])){
				$blad['email'] = "Adres email jest nieprawidłowy";
				$blad_kontrolka = TRUE;
	  		}
		}else{
			$blad['email'] = "Adres email jest wymagany";
			$blad_kontrolka = TRUE;
		}
		// Czy taki adres email już istnieje w bazie? ********************************************
		if($blad['email']==NULL){
			$ile_adresow_email = mysql_result(mysql_query("SELECT COUNT(*) FROM gracze WHERE email='".$_POST['dane']['email']."' LIMIT 1;"),0);
			if($ile_adresow_email){
				$blad['email'] = "Taki adres email już istnieje w naszej bazie danych";
				$blad_kontrolka = TRUE;
			}
		}



		// Hasło **************************************************************************
		if($_POST['dane']['haslo']!=NULL){
			if(strlen($_POST['dane']['haslo'])<6){
				$blad['haslo'] = "Hasło powinno składać się z co najmniej 6 znaków";
				$blad_kontrolka = TRUE;
			}
		}else{
			$blad['haslo'] = "Hasło jest polem wymaganym";
			$blad_kontrolka = TRUE;
		}

		// Hasło ponownie *****************************************************************
		if($_POST['dane']['haslo_ponownie']!=NULL){
			if($_POST['dane']['haslo_ponownie']!=$_POST['dane']['haslo']){
				$blad['haslo_ponownie'] = "Powtórzone hasło różni się";
				$blad_kontrolka = TRUE;
			}
		}else{
			$blad['haslo_ponownie'] = "Hasło powtórne jest polem wymaganym";
			$blad_kontrolka = TRUE;
		}



		if($blad_kontrolka){
			$tpl->assign("blad", $blad);
			$tpl->assign("komunikat_rejestracji", "Prosimy o poprawienie błędów w formularzu rejestracji.");
		}else{

			$wykonaj = mysql_query("INSERT INTO gracze
			(email,haslo,nazwa,czas_dodania,stan)
			VALUES
			('".$_POST['dane']['email']."','".md5($_POST['dane']['haslo'])."','".$_POST['dane']['nazwa']."','".time()."','1');");

			$tpl->assign("komunikat_rejestracji", "Rejestracja nowego konta przebiegła poprawnie. <b>Możesz się zalogować</b>.");

			// ### w tym miejscu możemy gracza od razu zalogować i przekierować do gry


		}
	}



?>